function SmartMount_ActionButton_OnLoad()
	-- Globals
	this:RegisterForDrag('LeftButton')
	this:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp')
	
	-- ButtonFacade
	local LibButtonFacade = LibStub and LibStub('LibButtonFacade', true)
	if LibButtonFacade then
		-- have we already a setup?
		if type(SmartMountAB_BFConfig) == 'table' then
			LibButtonFacade:Group('SmartMount', 'Button'):Skin(unpack(SmartMountAB_BFConfig))
		end
		
		-- setup callback
		LibButtonFacade:RegisterSkinCallback('SmartMount',
			function(_, skin, glossAlpha, gloss, _, _, colors)
				if type(SmartMountAB_BFConfig) ~= 'table' then
					SmartMountAB_BFConfig = {}
				end
				SmartMountAB_BFConfig[1] = skin
				SmartMountAB_BFConfig[2] = glossAlpha
				SmartMountAB_BFConfig[3] = gloss
				SmartMountAB_BFConfig[4] = colors
			end
		)
		
		-- add the button
		LibButtonFacade:Group('SmartMount', 'Button'):AddButton(_G['SmartMount_Button'])
	end
	
	-- add to SmartMount
	table.insert(SmartMount.Buttons, this)
	if SmartMount.InitedClick then
		SmartMount:PostClick('LeftButton', this)
		SmartMount:PostClick('RightButton', this)
		SmartMount:PostClick('MiddleButton', this)
	end -- if
end
